           (*-------------------------------------------*
            |                DFP package                |
            |                 June 2005                 |
            |                                           |
            |        CSP-Prover on Isabelle2009         |
            |                 June 2009  (modified)     |
            |                                           |
            |        CSP-Prover on Isabelle2011         |
            |                April 2011  (modified)     |
            |                                           |
            |        CSP-Prover on Isabelle2012         |
            |               November 2012  (modified)   |
            |                                           |
            |        Yoshinao Isobe (AIST JAPAN)        |
            *-------------------------------------------*)

val banner = "DFP";
(* time_use_thy "DFP"; *)
use_thy "DFP";

(* 

(1) To build the heap file for DFP:
    isabelle usedir -b CSP_F DFP
    (0:00:42 elapsed time)

(2) To make theory html-files of DFP:
    cd ..
    isabelle usedir -i true CSP_F DFP

(3) To start Isabelle with DFP:
    isabelle -I DFP

(4) To start ProofGeneral with DFP:
    Isabelle -l DFP

(5) To use DFP:
    theory test = DFP:

(6) To display the theory map:
    isabelle browser ~/.isabelle/browser_info/HOL/CSP/CSP_T/CSP_F/DFP/session.graph

*)

